Update payout subscription

View as MarkdownOpen in Claude

Updates a payout subscription’s details. See Manage payout subscriptions for more information.

Authentication

requestTokenstring
API Key authentication via header

Path parameters

idlongRequired
The payout subscription ID.

Request

This endpoint expects an object.
setPausebooleanOptional
Flag indicating if the payout subscription is paused. When a payout subscription is paused, no payouts are processed until it's unpaused, and the next payment date isn't calculated automatically.
paymentDetailsobjectOptional
Object describing details of the payout.
paymentMethodobjectOptional
Payment method object for vendor payouts. - `{ method: "managed" }` - Managed payment method - `{ method: "vcard" }` - Virtual card payment method - `{ method: "check" }` - Check payment method - `{ method: "ach", achHolder: "...", achRouting: "...", achAccount: "...", achAccountType: "..." }` - ACH payment method with bank details - `{ method: "ach", storedMethodId: "..." }` - ACH payment method using stored method ID
scheduleDetailsobjectOptional
Object describing the schedule for the payout subscription.

Response

Success
responseTextstring

Response text for operation: ‘Success’ or ‘Declined’.

isSuccessboolean

Boolean indicating whether the operation was successful. A true value indicates success. A false value indicates failure.

responseDatastring

If isSuccess = true, this contains the payout subscription ID. When the subscription is paused, it also includes a description (for example, “42 paused”).

If isSuccess = false, this contains the reason for the failure.

customerIdlong

The Payabli-generated unique ID for the customer.

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error
503
Service Unavailable Error